EDIT - bug #6914

exception in bulk editor after search

08/15/2017 10:29 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal Found in Version: Release 4.9
Description

After searching in bulk editor an exception is thrown:

Caused by:
6 is neither a CdmBase nor a CDM

java.lang.IllegalArgumentException: Object org.eclipse.jface.text.TextSelection@6cabala

"container"

at eu.etaxonomy.taxeditor.store.StoreUtil.getCdmEntity (StoreUtil. java:68)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCdmDetailEleme

nt.java:88)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCdmDetailSecti
on.java:125)
eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart. java:147)

at
at
at
:137)
at
a:123)
at
at
ava:66)
at

org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:210)

eu.

eu

eu.
eu.

eu

etaxonomy

.etaxonomy

etaxonomy
etaxonomy

.etaxonomy

.taxeditor.view.ed

.taxeditor

.taxeditor
.taxeditor

.taxeditor

.view.

.view.
.view.

.view.

ed

ed
ed

ed

.AbstractCdmDataViewerE4.refresh (AbstractCdmDataViewerE4. java

.AbstractCdmDataViewerE4.setInput (AbstractCdmDataViewerE4. jav

.details.DetailsViewerE4.setInput (DetailsViewerE4. java:163)
.AbstractCdmEditorPartE4.showViewer (AbstractCdmEditorPartE4. j

.details.DetailsPartE4.selectionChanged (DetailsPartE4. java:80

History

#1 - 08/15/2017 10:29 AM - Katja Luther

- Found in Version set to Release 4.9

#2 - 08/15/2017 11:13 AM - Patrick Plitzner

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 4.10

#3 - 09/24/2017 12:56 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#4 - 10/18/2017 01:41 PM - Patrick Plitzner

- Status changed from In Progress to Worksforme

- Target version deleted (Release 4.11)

- % Done changed from 0 to 100

This has already been fixed

#5 - 10/18/2017 01:54 PM - Patrick Plitzner

- Status changed from Worksforme to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 100 to 50
#6 - 10/18/2017 01:54 PM - Patrick Plitzner

- Target version set to Release 4.11

#7 - 10/18/2017 02:00 PM - Katja Luther

the problem does not appear anymore.

#8 - 10/18/2017 02:00 PM - Katja Luther

- Status changed from Resolved to Closed

#9 - 10/18/2017 02:00 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner
